Subject: Re: SSH Environment
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 29 Sep 2004 15:17:42 -0700

Andrew DeFaria wrote:

> Why would a home directory be under "Program Files"?!? "Program Files"
> is a directory that contains a space in it so you might try escaping it.
> Well further reading of this thread suggests that OpenSSH uses the home
> directory in /etc/passwd anyway but still are ya gonna put
> /cygdrive/c/Program Files/myApp in that field? I think you'll still have
> a problem with the space.
> 
> I don't think you want a home directory under program files in the first
> place.
> 
> However, one trick that I do to more easily deal with the "Program
> Files" think is:
> 
> $ mount -bsf "/cydrive/c/Program Files" /apps
> 
> Then it's simply /apps/<application>/<etc>. Much easier to deal with,
> shorter and file name completion under bash works well with this.

He doesn't want a "home directory" under \program files.  He's writing
some custom app that will use Cygwin's ssh, and he doesn't want to be
bothered to install an actual valid Cygwin environment, just poach
ssh.exe to do whatever he wants.  For the purposes of the Cygwin
content, this thread ceased being relevant some time ago because this
isn't
"[email-masked]"

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/